Name: perl-GRNOC-TL1
Version: 1.3.10
Release: 1%{?dist}
Summary: GRNOC TL1
License: CHECK(Distributable)
Group: Development/Libraries
URL: http://globalnoc.iu.edu
Source0: GRNOC-TL1-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: perl >= 5.8.8
Requires: perl-Net-Telnet
Requires: perl-Net-SSH-Expect
Requires: perl-Date-Calc

# RH5 has Time::HiRes built w/ perl, RH6 does not
%if 0%{?rh6}
Requires: perl-Time-HiRes
%endif

%description
GlobalNOC TL1 Library

%prep
%setup -q -n GRNOC-TL1-%{version}

%build
%{__perl} Makefile.PL PREFIX="%{buildroot}%{_prefix}" INSTALLDIRS="vendor"
make

%install
rm -rf $RPM_BUILD_ROOT
make pure_install

# clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root, -)
%{perl_vendorlib}/GRNOC/TL1.pm
%{perl_vendorlib}/GRNOC/TL1/Device.pm
%{perl_vendorlib}/GRNOC/TL1/Parser.pm
%{perl_vendorlib}/GRNOC/TL1/Device/Ciena/ActivFlex6500.pm
%{perl_vendorlib}/GRNOC/TL1/Device/Ciena/CN4200.pm
%{perl_vendorlib}/GRNOC/TL1/Device/Ciena/CoreDirector.pm
%{perl_vendorlib}/GRNOC/TL1/Device/Ciena/CoreStream.pm
%{perl_vendorlib}/GRNOC/TL1/Device/Cisco/ONS15327.pm
%{perl_vendorlib}/GRNOC/TL1/Device/Cisco/ONS15454.pm
%{perl_vendorlib}/GRNOC/TL1/Device/Cisco/ONS15808.pm
%{perl_vendorlib}/GRNOC/TL1/Device/Fujitsu/FLASHWAVE7500.pm
%{perl_vendorlib}/GRNOC/TL1/Device/Infinera/DTC.pm
%{perl_vendorlib}/GRNOC/TL1/Device/Nortel/HDXc.pm
%{perl_vendorlib}/GRNOC/TL1/Device/Nortel/OME6500.pm
%{perl_vendorlib}/GRNOC/TL1/Device/ADVA/FSP3000.pm
%{perl_vendorlib}/GRNOC/TL1/Device/GlimmerGlass/GG1.pm
%attr(-, root, root) %doc Changes
