use strict;
use warnings;

use Test::More tests => 16;

BEGIN {

    use_ok( 'GRNOC::TL1' );
    use_ok( 'GRNOC::TL1::Device' );
    use_ok( 'GRNOC::TL1::Parser' );
    use_ok( 'GRNOC::TL1::Device::ADVA::FSP3000' );
    use_ok( 'GRNOC::TL1::Device::Ciena::ActivFlex6500' );
    use_ok( 'GRNOC::TL1::Device::Ciena::CN4200' );
    use_ok( 'GRNOC::TL1::Device::Ciena::CoreDirector' );
    use_ok( 'GRNOC::TL1::Device::Ciena::CoreStream' );
    use_ok( 'GRNOC::TL1::Device::Cisco::ONS15327' );
    use_ok( 'GRNOC::TL1::Device::Cisco::ONS15454' );
    use_ok( 'GRNOC::TL1::Device::Cisco::ONS15808' );
    use_ok( 'GRNOC::TL1::Device::Fujitsu::FLASHWAVE7500' );
    use_ok( 'GRNOC::TL1::Device::GlimmerGlass::GG1' );
    use_ok( 'GRNOC::TL1::Device::Infinera::DTC' );
    use_ok( 'GRNOC::TL1::Device::Nortel::HDXc' );
    use_ok( 'GRNOC::TL1::Device::Nortel::OME6500' );
}
;
